#include <stdio.h>
#include <stdlib.h>

#include <math.h>

double fndIntegr(double a, double b, double (*f)(double x));
double fR(double x);
double fL(double x);


double fL(double x){return(1./x/sqrt(x*x*x*x + 1));}
double fR(double x){return(1./sqrt(x*x*x*x + 1));}

int main(void) {
double a, b, left, Ir, L, x, h;
printf("Enter L\n");
scanf("%lf", &L);
h = 0.01;
x=10.001;
while(x<500){
    left = fndIntegr(x, 1000,fL);
    Ir = fndIntegr(1e-6, x,fR);
    printf("%.2lf, nevyazka: %.2lf, %.2lf,%.2lf\n", x, L*left - Ir, left, Ir);
    x+=h;
}    




system("pause");

return 0;
}

double fndIntegr(double a, double b, double (*f)(double x)){
	double s, s1, s2=0.0, h=b-a, c, e1=0.0, e2=0.0,e=1e-15;
	do
	{
		s=h*(f(a)+f(a+h)+4*f(a+h/2))/6;
		s1=h*(2*f(a+h/4) + 2*f(a+3*h/4) - f(a+h/2))/6 + s/2;
		if(fabs(s1-s)<e)
		{
			e1=e1+s-s1;
			e2=e2+fabs(s-s1);
			a=a+h;
			s2=s2+s1;
			c=fabs((s1-s)/((1-h*h*h*h/16)*(h*h*h*h/8)));
			if(1./c<=e)
			{
				c=e;
			}
			h=sqrt(sqrt(8*e/c));
		}
		else h=h/2;
		if(h>b-a) h=b-a;
	}while(a<b);
	
	return 2*s2;
}

